unit FRMSMain;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants, 
  FMX.Types, FMX.Graphics, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.StdCtrls,
  FormSave, FMX.Layouts, FMX.Memo, FMX.Edit;

type
  TfrmFormSaveMain = class(TForm)
    btnSaveForm: TButton;
    btnLoadForm: TButton;
    btnSaveData: TButton;
    btnLoadData: TButton;
    svdDFM: TSaveDialog;
    opdDFM: TOpenDialog;
    svdData: TSaveDialog;
    opdData: TOpenDialog;
    cmpFormSaver: TFormSaver;
    grbData: TGroupBox;
    lblData: TLabel;
    lblEdit: TLabel;
    edtEdit: TEdit;
    lblMemo: TLabel;
    memMemo: TMemo;
    grbCheckBoxes: TGroupBox;
    chbFirst: TCheckBox;
    chbSecond: TCheckBox;
    chbThird: TCheckBox;
    grbRadioButtons: TGroupBox;
    rbtSecond: TRadioButton;
    rbtFirst: TRadioButton;
    rbtThird: TRadioButton;
    procedure btnSaveFormClick(Sender: TObject);
    procedure btnLoadFormClick(Sender: TObject);
    procedure btnSaveDataClick(Sender: TObject);
    procedure btnLoadDataClick(Sender: TObject);
    procedure cmpFormSaverReadError(Reader: TReader; const Message: string;
      var Handled: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmFormSaveMain: TfrmFormSaveMain;

implementation

{$R *.fmx}

procedure TfrmFormSaveMain.btnLoadDataClick(Sender: TObject);
begin
  with opdData do
    if Execute then
      cmpFormSaver.LoadComponentFromFile(FileName,grbData);
end;

procedure TfrmFormSaveMain.btnLoadFormClick(Sender: TObject);
begin
  if opdDFM.Execute then
    cmpFormSaver.LoadFromDFM(opdDFM.FileName);
end;

procedure TfrmFormSaveMain.btnSaveDataClick(Sender: TObject);
begin
  with svdData do
    if Execute then
      cmpFormSaver.SaveComponentToFile(FileName,grbData);
end;

procedure TfrmFormSaveMain.btnSaveFormClick(Sender: TObject);
begin
  with svdDFM do
    if Execute then
      cmpFormSaver.SaveToDFM(FileName);
end;

procedure TfrmFormSaveMain.cmpFormSaverReadError(Reader: TReader;
  const Message: string; var Handled: Boolean);
begin
  Handled:=True;
  ShowMessage(Message);
end;

end.
